#ifndef GUILISTBOX_H
#define GUILISTBOX_H

#include "guielement.h"

class CGuiListBox : public CGuiElement
{
public:
	CGuiListBox(const acUtility::vector2 &pos, const acUtility::vector2 &size);

	void        AddItem(const std::string &text);
	std::string GetItem(unsigned int i);
	int         GetMouseOverItem();

protected:
	~CGuiListBox();
	void DrawSelf();

	std::vector<std::string> items;
};

#endif