#ifndef MATERIAL_H
#define MATERIAL_H

#include <string>

class CSharedTexture;

namespace acGraphics
{
	class CGraphics;
}

class CMaterial
{
public:
	CMaterial();
	~CMaterial();

	int Load(const std::string &name);

	std::string     name;
	CSharedTexture *colorMap;
	bool            flipX;
	unsigned int    color;
};

#endif