#ifndef PATHNODE_H
#define PATHNODE_H

#include "acutil_math.h"
#include <vector>

class CPathEdge;

class CPathNode
{
public:
	CPathNode(acUtility::vector2 &v);
	~CPathNode();

	bool               IsPointInNode(const acUtility::vector2 &v);
	acUtility::vector2 ShiftPathToAvoidWall(const acUtility::vector2 &from, const acUtility::vector2 &to);

	acUtility::vector2 p;

	CPathEdge *first;
};

#endif