#include "sprite.h"

using namespace acUtility;

CSprite::CSprite()
{
	pos      = vector2(0,0);
	size     = vector2(1,1);
	rotation = 0;
	material = 0;
	offset   = vector2(0,0);
	opaque   = 1;
	zOrder   = 0;
}

CSprite::CSprite(const CSprite &other)
{
	if( &other )
	{
		pos      = other.pos;
		size     = other.size;
		rotation = other.rotation;
		material = other.material;
		offset   = other.offset;
		opaque   = other.opaque;
		zOrder   = other.zOrder;
	}
}

CSprite::~CSprite()
{
}