#include "gameobjectlink.h"
#include "gameobject.h"
#include "sprite.h"
#include "gameobjfactory.h"
#include "physicsobject.h"
#include "application.h"
#include "gamemgr.h"

using namespace acUtility;
using namespace std;

CGameObjectLink::CGameObjectLink(CGameObject *_obj)
{
	refCount = 1;
	obj      = _obj;
}

void CGameObjectLink::AddRef() const
{
	refCount++;
}

void CGameObjectLink::Release() const
{
	if( --refCount == 0 )
		delete this;
}
