#ifndef RECORDER_H
#define RECORDER_H

#include <stdio.h>

class CRecorder
{
public:
	CRecorder();
	~CRecorder();

	void RecordSetup();
	void RecordFrame();

	void PlaybackSetup();
	void PlaybackFrame();

private:
	int frame;
	unsigned char keyState[256];
	unsigned char mbState[8];
	unsigned char actionState[256];
	int cursorX;
	int cursorY;

	FILE *playback;
};

#endif